Bug 120317 - fatal error - no screens found
fatal error - no screens found
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: redhat-config-xfree86 (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Søren Sandmann Pedersen
David Lawrence
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2004-04-07 15:13 EDT by Shirley Chou
Modified: 2014-06-18 05:07 EDT (History)
7 users (show)

See Also:
Fixed In Version: FC4
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-12-01 16:48:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Shirley Chou 2004-04-07 15:13:19 EDT
Description of problem:

This issue is seen in a VMware Virtual Machine while running RHEL3 
when trying to start X.
vmware_drv.o is packaged with XFree86 in RHEL3. This is the correct 
version of vmware_drv.o. In the XFree86 config file, there is:

Section "Screen"
	Identifier "Screen0"
	Device     "Videocard0"
	Monitor    "Monitor0"
	DefaultDepth     24
	SubSection "Display"
		Depth     24
		Modes    "800x600" "640x480"

This causes an error when trying to startX. The reason is because in 
your XF86Config file, the DefaultDepth is forced to be "24". VMware 
Linux guests X server *must* run at the same depth and bpp as the 
host. This is automatically detected.

Here's our section of the XFree86Config:

Section "Screen"

    # Don't specify DefaultColorDepth unless you know what you're
    # doing. It will override the driver's preferences which can
    # cause the X server not to run if the host doesn't support the
    # depth.
	Identifier "Screen 1"
	Device     "VMware SVGA"
	Monitor    "vmware"
	DefaultDepth     24
	SubSection "Display"

        # VGA mode: better left untouched
		Depth     4
		Modes    "640x480"
	SubSection "Display"
		Depth     8
		Modes    "1024x768"
	SubSection "Display"
		Depth     15
		Modes    "1024x768"
	SubSection "Display"
		Depth     16
		Modes    "1024x768"
	SubSection "Display"
		Depth     24
		Modes    "800x600" "640x480"

When the user installs VMware's tools in the Virtual Machine, we re-
write the XF86Config such that all depths are listed and no default 
is forced. If the host display is set to 32, then the guest can be 
32, 24, 16, etc. If the host display is set to 24, then the guest can 
only take 24 and below.

So the work around is to install the tools so the XFree86 config file 
is re-written but users who choose to use X without installing tools 
in a Virtual Machine will not be able to and will run into this bug.

Version-Release number of selected component (if applicable):

How reproducible:
Every time

Steps to Reproduce:
1.Install RHEL3 in a Virtual Machine on a host with display depth <24
2.After installation is complete, startx
3.The error will show up.
Actual results:

see "Fatal server error: no screen found."
VMWARE(0): Driver can't support depth 24.

Expected results:
X should have been started.

Additional info:
Comment 4 Mike A. Harris 2004-04-08 01:57:51 EDT
I just briefly discussed this with nolan@vmware.com in IRC, and
clarified a few things that I wasn't quite sure of initially.  It
seems that this is more of a redhat-config-xfree86 feature request
than an XFree86 component bug report, so I'm going to reassign
the feature request to the proper component for review for future
consideration by the maintainer of that package.
Comment 5 Suzanne Hillman 2004-04-12 17:24:49 EDT
Internal RFE bug #120673 entered; will be considered for future releases.

Note You need to log in before you can comment on or make changes to this bug.